# getRequirement(\[payload,])

```typescript
const campaignId = 'aSlug123';
const requirementId = 'Hiodn2oD2dkmo2';

const verify = await userClient.getRequirement(
   {
      id: requirementId,
      campaign: {
         id: campaignId
      }
   }
)
```

## Params

<table><thead><tr><th width="180">Param</th><th width="106">Required</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td>campaign.id</td><td>required</td><td>String</td><td><p>the id of the program/campaign the requirement belongs to.</p><p><br>Note: this campaign/program must belong to your account.</p></td></tr><tr><td>id</td><td>required</td><td>String</td><td>the referral program/campaign requirement id.</td></tr></tbody></table>

## **Response**

***UserRequirementResponse***

<table><thead><tr><th width="180">Field</th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>the requirement id processed by the request.</td></tr><tr><td>completed</td><td>Boolean</td><td>a boolean representing if the user has completed the requirement or not.</td></tr></tbody></table>

## Examples

{% tabs %}
{% tab title="Browser" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const userWalletAddress = '0x293kdo0ij0';
const campaignId = 'aSlug123';

const client = new ChainvineClient(); //Make sure to whitelist your domain
const requirementId = 'Hiodn2oD2dkmo2';
const userClient = await client.syncUser(userWalletAddress);

const requirement = await userClient.getRequirement({
    campaign: {
        id: campaignId
    },
    id: requirementId
});
```

{% endtab %}

{% tab title="Server" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const userWalletAddress = '0x293kdo0ij0';
const campaignId = 'aSlug123';

// Generate your ChainvineClient instance
const client = new ChainvineClient({
    apiKey: '0dj03j000d'  // Your API Key
});

const requirementId = 'Hiodn2oD2dkmo2';
const userClient = await client.syncUser(userWalletAddress);

const requirement = await userClient.getRequirement({
    campaign: {
        id: campaignId
    },
    id: requirementId
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainvine.xyz/developers/sdk/classes-and-functions/chainvineuser/getrequirement-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
